org.jfree.date

## Class EasterSundayRule

- java.lang.Object
- - org.jfree.date.AnnualDateRule
  - - org.jfree.date.EasterSundayRule

- All Implemented Interfaces:
    java.lang.Cloneable

      public class EasterSundayRule
      extends AnnualDateRule

  An annual date rule for Easter (Sunday). The algorithm used here was obtained from a Calendar FAQ which can be found at:

  http://www.tondering.dk/claus/calendar.html.

  It is based on an algorithm by Oudin (1940) and quoted in "Explanatory Supplement to the Astronomical Almanac", P. Kenneth Seidelmann, editor.

  Author:
    David Gilbert

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EasterSundayRule()` Default constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SerialDate` | `getDate(int year)` Returns the date of Easter Sunday for the given year.

    - ### Methods inherited from class org.jfree.date.AnnualDateRule

      `clone`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EasterSundayRule

          public EasterSundayRule()

      Default constructor.

  - ### Method Detail

    - #### getDate

          public SerialDate getDate(int year)

      Returns the date of Easter Sunday for the given year. See the class description for the source of the algorithm.

      This method supports the AnnualDateRule interface.

      Specified by:
        `getDate` in class `AnnualDateRule`
      Parameters:
        `year` - the year to check.
      Returns:
        the date of Easter Sunday for the given year.